<div>
    <div class="title-component">
        <h3 mat-dialog-title>{{titleModal}}</h3>
    </div>
    <form>
        <mat-card-content>
            <div class="row">
                <mat-form-field class="col">
                    <mat-select [compareWith]="selectClient" placeholder="Seleccionar Cliente" #client
                        [formControl]="validateFilters.get('client')"
                        (selectionChange)="onCustomerChange($event.value)"
                        [disabled]="true">

                        <mat-option *ngFor="let customer of dataCustomer" [value]="customer" [disabled]="true">
                            {{customer.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field class="col">
                    <mat-select [compareWith]="selectService" placeholder="Seleccionar servicio" #service

                    

                        [formControl]="validateFilters.get('service')"
                        (selectionChange)="onServiceChange($event.value)"
                        [disabled]="true">

                        <mat-option *ngFor="let service of dataService " [value]="service">
                            {{service.name}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="row">
                <div class="col">
                    <mat-label>Dia</mat-label>
                </div>
            </div>
            <div class="row">
                <mat-form-field class="col-6">
                    <input [formControl]="validateFilters.get('date')" #customer matInput placeholder="dia" class=""  readonly>
                </mat-form-field>
            </div>
            <div class="row">
                <!-- <div fxFlex.gt-sm="100" fxFlex="100" class="p-r-10 form-group col">
                    <mat-form-field appearance="fill">
                        <mat-label>Seleccionar dia</mat-label>
                        <input [formControl]="validateFilters.get('date')" #customer matInput placeholder="dia" class="">
                    </mat-form-field>
                </div> -->
                <div class="col">
                    <mat-label>Horario</mat-label>
                </div>
            </div>
            <div class="row">
                <mat-form-field class="col" placeholder="Hora inicial" #state [formControl]="">
                    <mat-label>Hora inicial</mat-label>
                    <input [formControl]="validateFilters.get('start_time')" min-date="minDate" type="time"
                        id="time" format="hh:mm a" short-time="true" matInput placeholder="Hora inicial" class="">
                </mat-form-field>
                <mat-form-field class="col" placeholder="Hora Final" #state [formControl]="">
                    <mat-label>Hora final</mat-label>
                    <input [formControl]="validateFilters.get('end_time')" min-date="minDate" type="time" id="time"
                        format="hh:mm a" short-time="true" matInput placeholder="Hora final" class="">
                </mat-form-field>
            </div>
            <div class="row" *ngIf="statusActivated">
                <mat-form-field class="col">
                    <mat-select placeholder="Seleccionar estado" #state [formControl]="validateFilters.get('state')">
                        <mat-option *ngFor="let option of filterOptions" [value]="option.value">
                            {{option.label}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="row">
                <mat-form-field class="col" class="sizeTextarea">
                    <mat-label>Mensaje</mat-label>
                    <textarea [formControl]="validateFilters.get('message')" matInput
                        placeholder="Mensaje:"></textarea>

                </mat-form-field>
            </div>
        </mat-card-content>
        <div mat-dialog-actions class="justify-center">
            <button mat-raised-button color="warn" mat-dialog-close class="space-buttom">Cancelar</button>
            <button mat-raised-button color="primary" (click)="save();" type="submit"
            class="space-buttom">Guardar</button>
        </div>
    </form>
</div>